/// <reference path="../types/jsx.d.ts" />
import { React } from "../deps.ts";

const styles = new TextDecoder().decode(
   Deno.readFileSync("src/views/styles.css")
);

export default function Base(p: any, children: any[]) {
   const title = p.title || "DenReg";
   return (
      <html>
         <head>
            {/* <link
               rel="stylesheet"
               href="https://deno.hibas123.de/raw/@hibas123-theme@2.0.2/out/base.css"
            /> */}
            <link
               rel="stylesheet"
               href="https://unpkg.com/papercss@1.6.1/dist/paper.min.css"
            />
            <style innerHTML={styles}></style>
            <title>{title}</title>
            <meta
               name="Description"
               content="Deno package registry. Includes version management, deprecation of packages as well as a CDN for distributing deno packages."
            />
            <meta
               name="viewport"
               content="width=device-width,initial-scale=1"
            />
         </head>
         <body class="site">{children}</body>
      </html>
   );
}
